brlapi_paramValuePacket_t(3)

NAME
brlapi_paramValuePacket_t

SYNOPSIS

#include <brlapi_protocol.h>

  Data Fields

uint32_t flags
brlapi_param_t param
uint32_t subparam_hi
uint32_t subparam_lo
unsigned char data [BRLAPI_MAXPARAMSIZE]

Detailed Description

Structure of Parameter value or update

Field Documentation

  unsigned char brlapi_paramValuePacket_t::data[BRLAPI_MAXPARAMSIZE]
Which sub-parameter being transmitted, lo 32bits

  uint32_t brlapi_paramValuePacket_t::flags

  brlapi_param_t brlapi_paramValuePacket_t::param
Flags to tell how value was gotten

  uint32_t brlapi_paramValuePacket_t::subparam_hi
Which parameter being transmitted

  uint32_t brlapi_paramValuePacket_t::subparam_lo
Which sub-parameter being transmitted, hi 32bits

Author

Generated automatically by Doxygen for BrlAPI from the source code.